import babel from 'rollup-plugin-babel'
import resolve from 'rollup-plugin-node-resolve'
import common from 'rollup-plugin-commonjs'
import postcss from 'rollup-plugin-postcss'
import autoprefixer from 'autoprefixer'

export default {
  input: 'src/index.js',
  output: {
    file: 'docs/.vuepress/public/playground.js',
    format: 'umd'
  },
  plugins: [
    postcss({
      extract: 'docs/.vuepress/public/playground.css',
      plugins: [autoprefixer]
    }),
    babel(),
    common(),
    resolve()
  ]
}
