import babel from 'rollup-plugin-babel'
import resolve from 'rollup-plugin-node-resolve'
import common from 'rollup-plugin-commonjs'
import { minify } from 'uglify-es'
import postcss from 'rollup-plugin-postcss'
import autoprefixer from 'autoprefixer'
import { uglify } from 'rollup-plugin-uglify'

export default {
  input: 'src/index.js',
  output: {
    file: 'lib/index.js',
    format: 'umd'
  },
  plugins: [
    postcss({
      extract: 'lib/style.css',
      plugins: [autoprefixer],
      minimize: true
    }),
    babel(),
    common(),
    resolve(),
    uglify({}, minify)
  ]
}
