import create from './create'
import getSettings from './settings'
export default function getJsfiddleBtn ({
  css,
  htmlTpl,
  jsTpl,
  jsLib,
  cssLib
}) {
  const resource = jsLib
    .concat(cssLib)
    .concat(getSettings('cssLib'))
    .concat(getSettings('jsLib'))
    .join(',')
  const form = create('form', {
    className: 'vuepress-playground-jsfiddle',
    target: '_blank',
    action: 'https://jsfiddle.net/api/post/library/pure/',
    method: 'post',
    __children: [
      {
        tag: 'input',
        attrs: { type: 'hidden', name: 'css', value: css }
      }, {
        tag: 'input',
        attrs: { type: 'hidden', name: 'html', value: htmlTpl }
      }, {
        tag: 'input',
        attrs: { type: 'hidden', name: 'js', value: jsTpl }
      }, {
        tag: 'input',
        attrs: { type: 'hidden', name: 'panel_js', value: 3 }
      }, {
        tag: 'input',
        attrs: { type: 'hidden', name: 'wrap', value: 1 }
      }, {
        tag: 'input',
        attrs: { type: 'hidden', name: 'resources', value: resource }
      }, {
        tag: 'button',
        attrs: {
          type: 'submit',
          className: 'vuepress-playground-btn-text',
          innerHTML: 'JsFiddle'
        }
      }
    ]
  })
  return form
}
